Subject: Re: [PPL-devel] Some troubles I met while building PPL.
From: Yuriy Taraday <[email-masked]>
To: Abramo Bagnara <[email-masked]>
Date: Thu, 23 Apr 2009 12:16:44 +0400

Wow...I didn't face any problems compiling GMP, I only had to explicity set
ABI version to 32 (by default it builds with 64, but PPL's configure didn't
recognize it).
The only problem with PPL was that missing name of the enum, I added it and
everything became fine.
Are unnamed enums common practice? May be it should be named anyway? As far
as I understand, the name means absolutely nothing to the rest of the
library.

Newer version of gcc solves this problem, but there was a time when I tried
to compile gcc on Mac OS... it wasn't so easy.

By the way, in our project we use Java interface and we needed the value of
PPL_Object.ptr to use in JNI library. May be, it should be somehow
accessible from the outside? It might be useful for extending PPL and using
it in conjunction with other libraries.

On Thu, Apr 23, 2009 at 11:50 AM, Abramo Bagnara
<[email-masked]>wrote:

> Yuriy Taraday ha scritto:
> > Here it is, just as in config.log that I sent.
> >
> > Mobi-Ya:ppl-0.10.2 yorik$ gcc -v
> > Using built-in specs.
> > Target: i686-apple-darwin9
> > Configured with: /var/tmp/gcc/gcc-5490~1/src/configure
> > --disable-checking -enable-werror --prefix=/usr --mandir=/share/man
> > --enable-languages=c,objc,c++,obj-c++
> > --program-transform-name=/^[cg][^.-]*$/s/$/-4.0/
> > --with-gxx-include-dir=/include/c++/4.0.0 --with-slibdir=/usr/lib
> > --build=i686-apple-darwin9 --with-arch=apple --with-tune=generic
> > --host=i686-apple-darwin9 --target=i686-apple-darwin9
> > Thread model: posix
> > gcc version 4.0.1 (Apple Inc. build 5490)
>
> With this versione of gcc not only you will not be able to compile
> reliably the Parma Polyhedra Library, see
> http://www.cs.unipr.it/ppl/Download/requirements
>
> but you will have also troubles compiling GMP, see
> http://gmplib.org/macos.html
>
> Please retry with an more recent version.
>
> --
> Abramo Bagnara
>
> Opera Unica                          Phone: +39.0546.656023
> Via Borghesi, 16
> 48014 Castel Bolognese (RA) - Italy
>